Ask Your Question
0

Could not find a configuration file for package

asked 2013-11-06 21:34:23 -0600

zhongjin616 gravatar image

updated 2014-01-28 17:18:28 -0600

ngrennan gravatar image

hi,there: i am following "kobuki/Tutorials/Write your own controller for Kobuki" to write an nodelet,In CMakelists.txt,it called function:find_package(catkin REQUIRED COMPONENTS kobuki_msgs nodelet roscpp std_msgs yocs_controllers),But it comes a ERROR: Could not find a configuration file for package kobuki_msgs. Set kobuki_msgs_DIR to the directory containing a CMake configuration file for kobuki_msgs. The file will have one of the following names: kobuki_msgsConfig.cmake kobuki_msgs-config.cmake. but the question is that in kobuki_msgs, there is no .camke file. And i also found that packages in ros/groovy/share all contains a corresponding .cmake file, while in ros/groovy/stacks did not. but the kobuki_msgs package is located in ros/groovy/stacks. so what can i do? is anyone else encounter this ERROR?

edit retag flag offensive close merge delete

Comments

The error should be that you are asking catkin to find a rosbuild package (in fact kobuki_msgs is in the /stacks folder). You should remove kobuki_msgs from the line find_package() in your CMakeLists.txt, but I don't know if this will be enough to solve the problem. Let me know!

Tirjen gravatar imageTirjen ( 2013-11-06 22:13:40 -0600 )edit

thanks for your advise. I do remove kobuki_msgs from the find_package(), and truely the CMake did not warn me that cannot find a configuration file for package kobuki_msgs. but it does not fix my problem , as i do need kobuki_msgs.today ,i download a catkin_version of kobuki_msgs,problem solved.ThX

zhongjin616 gravatar imagezhongjin616 ( 2013-11-07 15:51:37 -0600 )edit

1 Answer

Sort by » oldest newest most voted
2

answered 2013-11-06 23:27:36 -0600

Tirjen gravatar image

Ok I made a little research and i found out what I already suspected: Catkin packages cannot depend on rosbuild packages! (http://wiki.ros.org/catkin/migrating_from_rosbuild)

So the only solution I think you have is to create the package with rosbuild and not with catkin. The strange thing is that the tutorial should be valid from groovy on, but if you have the rosbuild version of kobuki_msgs, this won't work... Anyway I also found this link where to download the rosbuild version of the tutorial I think you are talking about. Hope this will be useful!

https://github.com/yujinrobot/kobuki/tree/groovy/kobuki_controller_tutorial

edit flag offensive delete link more

Comments

yes,i download the catkin_version of kobuki_msgs, and catkin_make it. the problem fix. So thanks for you sharing,it do help me a lot.

zhongjin616 gravatar imagezhongjin616 ( 2013-11-07 15:54:32 -0600 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

1 follower

Stats

Asked: 2013-11-06 21:34:23 -0600

Seen: 3,260 times

Last updated: Nov 06 '13